AOZ Studio Beta - Bug #140

Play command (for sound) isn't working.
02/06/2020 05:04 PM - Brian Flanagan

Status: New Start date: 02/06/2020
Priority: Low Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 8:00 hours
Target version:

Affected version: Beta RC3

Description

Example: Help_24 from AMOSPro_Examples.

The first few times | ran this all of the sounds worked. Then, for no apparent reason, they quit working.
The Bell command continues to work, but the Play commands just quit.

| even tried stopping Visual Studio and Google Chrome, and restarting, but they still weren't working. Yes, | also tried clearing the
browser cache. Originally, | had voice 1 and 2 for the 1st and 2nd play command, but | changed it to 15 to make sure it wasn't voice
related.

Since this is an intermittent error, you may need to close and re-open or run it several times before the Play command quits working.

Here's a complete example:

#manifest:"amiga"
#speed: "safe"

Print "Press mouse button to cycle sounds."

Repeat
Print "Boom!" : Boom
ClickAndRelease
Print "Play 1" : For N=20 To 40 : Play 15,N,1 : Next
ClickAndRelease
Print "Shoot." : Shoot
ClickAndRelease
Print "Play 2" : For N=20 To 40 : Play 15,41-N,1 : Next
ClickAndRelease
Print "Bell" : Bell
ClickAndRelease

Until The_End_Of_Time

Procedure ClickAndRelease
Repeat Until Mouse Key <> 0
Repeat Until Mouse Key = 0

End Proc

History

#1 - 10/07/2020 11:51 AM - Brian Flanagan

- Subject changed from Play command (for sound) works intermittently. to Play command (for sound) isn't working.
- Assignee set to AOZ Studio Team

- Priority changed from Normal to Low

- Estimated time set to 8:00 h

- Affected version changed from 0.9.4 to Beta RC3

Previous affected version was 0.9.4. In versions prior to 0.9.4 Play was partially working.
In version 0.9.4 it was working intermittently.

In the current version: Beta RC3, Play is not working at all.
#2 - 05/07/2023 12:43 PM - malcolm harvey

Tested again..
This is now working in V1.x rel U43.
